Bug 1119429 - HA RabbitMQ needs to strip domain from cluster node names
Summary: HA RabbitMQ needs to strip domain from cluster node names
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: Foreman (RHEL 6)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ga
: Installer
Assignee: John Eckersberg
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 18:43 UTC by John Eckersberg
Modified: 2014-08-21 18:05 UTC (History)
6 users (show)

Fixed In Version: openstack-foreman-installer-2.0.15-1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 18:05:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1090 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2014-08-22 15:28:08 UTC

Description John Eckersberg 2014-07-14 18:43:18 UTC
The HA rabbitmq manifest configues the cluster nodes via the lb_backend_server_names parameter.  However under staypuft, this is the FQDN of the nodes.  Rabbit requires the short hostname to be the node name, so for example you get this error using the FQDN:

# rabbitmqctl -n rabbit@5254000021ab.example.org status
Status of node 'rabbit@5254000021ab.example.org' ...
Error: unable to connect to node 'rabbit@5254000021ab.example.org': nodedown

=ERROR REPORT==== 14-Jul-2014::18:39:38 ===
** System NOT running to use fully qualified hostnames **
** Hostname 5254000021ab.example.org is illegal **

DIAGNOSTICS
===========

nodes in question: ['rabbit@5254000021ab.example.org']

hosts, their running nodes and ports:
- 5254000021ab.example.org: [{rabbit,35672},{rabbitmqctl14693,54770}]

current node details:
- node name: rabbitmqctl14693@5254000021ab
- home dir: /var/lib/rabbitmq
- cookie hash: soeIWU2jk2YNseTyDSlsEA==


The fix is to strip off the domain part of the nodes before passing into the rabbit class as the cluster_nodes param.

Comment 2 John Eckersberg 2014-07-15 14:17:50 UTC
https://github.com/redhat-openstack/astapor/pull/313

Comment 12 Leonid Natapov 2014-08-12 13:54:24 UTC
openstack-foreman-installer-2.0.18-1.el6ost.noarch

[root@maca25400702875 ~]# grep node /etc/rabbitmq/*
/etc/rabbitmq/rabbitmq.config:    {cluster_nodes, {['rabbit@maca25400702875', 'rabbit@maca25400702877', 'rabbit@maca25400702876'], disc}}

Comment 13 errata-xmlrpc 2014-08-21 18:05:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1090.html


Note You need to log in before you can comment on or make changes to this bug.